<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6>CPT</h6>
      <dx-data-grid #grid id="grid" [dataSource]="cptList" keyExpr="cptId" [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                    (onRowPrepared)="onRowPrepared($event)" (onExporting)="onExporting($event)"
                    (onRowDblClick)="selectionChangedHandler(grid.selectedRowKeys)"
                    (onToolbarPreparing)="onToolbarPreparing($event)"
                    (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
        <dxi-column dataField="cptCustNbr" caption="CPT #" dataType="string"
                    cellTemplate="linkIdTemplate"></dxi-column>
        <dxi-column dataField="h1" caption="H1" dataType="string"></dxi-column>
        <dxi-column dataField="companyName" caption="Company Name" dataType="string"></dxi-column>
        <dxi-column dataField="cntDevices" caption="Number of Devices" dataType="number" alignment="left"></dxi-column>
        <dxi-column dataField="custShortName" caption="Short Name" dataType="string"></dxi-column>
        <dxi-column dataField="createdBy" caption="Submitter Name" dataType="string"></dxi-column>
        <dxi-column dataField="createdDateTime" caption="Created Date" dataType="datetime"></dxi-column>
        <dxi-column dataField="nte" caption="NTE" dataType="string"></dxi-column>
        <dxi-column dataField="mss" caption="MSS Engineer" dataType="string"></dxi-column>
        <dxi-column dataField="pm" caption="PM" dataType="string"></dxi-column>
        <dxi-column dataField="pmReviewedDate" caption="PM Reviewed Date" dataType="datetime"></dxi-column>
        <dxi-column dataField="returnedToSDE" caption="Returned to SDE"
                    dataType="boolean" alignment="center"></dxi-column>
        <div *dxTemplate="let data of 'exportTemplate'">
          <button type="button" class="btn btn-sm btn-primary"
                  (click)="grid.instance.exportToExcel(false)">
            Export to Excel
          </button>
        </div>
        <div *dxTemplate="let row of 'linkIdTemplate'">
          <a class="hyperlink" (click)="selectionChangedHandler(row.data.cptId)">{{ row.value }}</a>
        </div>
      </dx-data-grid>
    </div>
  </div>
</div>
